The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get all Controllers

Prev Next

This URL gets the details of all the Controllers configured in the Manager.

Resource URL

GET /controller

Request Parameters

None

Response Parameters

Following fields are returned in the response.

Field Name

Description

Data Type

success

Indicates if the GET operation is successful.

Value is set to true if the GET operation is successful.

Value is set to false if the GET operation is not successful.

string

msg

Not applicable

Not applicable

errMsg

Not applicable

Not applicable

domainName

Not applicable

Not applicable

data

Controller details

Array of objects

Details of data.

Field Name

Description

Data Type

cloudUuid

Cloud unique Id of the Controller instance

string

hostName

Hostname on which the Controller is installed

string

controllerVersion

Version of the Controller

string

agentVersion

Version of the Virtual Probe

string

name

Controller name

string

description

Description of the Controller

string

controllerId

Controller ID

number

serviceIp

IP address of the Controller

string

subscriberId

Domain ID

number

sharedSecretKey

Shared secret key

string

status

Status of the Controller

string

creationTime

Creation time of the Controller

number

cloudAccounts

Cloud accounts configured for the Controller

string

lastModifiedTime

Last modified time of the Controller

number

Example

Request

GET https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "domainName": null,
    "data": {
        "cloudUuid": "cloudUID",
        "hostName": "NSMAppliance",
        "controllerVersion": "1.0.141",
        "agentVersion": "1.0.141",
        "name": "local",
        "description": "Default Internal controller running in NSM.",
        "controllerId": 1,
        "serviceIp": "10.15.1.2",
        "subscriberId": 0,
        "sharedSecretKey": "7a4a7b462c2f5a454e792118591d5c5c",
        "status": "ONLINE",
        "creationTime": null,
        "cloudAccounts": null,
        "lastModifiedTime": 1555003528000
    },
    "controllerName": "TestController"
.
.
.


}